import type { IQService } from 'angular';
import IInjectorService = angular.auto.IInjectorService;
export declare class ProviderServiceDelegate {
    private $injector;
    private $q;
    static $inject: string[];
    constructor($injector: IInjectorService, $q: IQService);
    hasDelegate(provider: string, serviceKey: string): boolean;
    getDelegate<T>(provider: string, serviceKey: string): T;
}
export declare const PROVIDER_SERVICE_DELEGATE = "spinnaker.core.cloudProvider.service.delegate";
